Your Ad Here Your Ad Here
Results 1 to 3 of 3

Thread: Installer Promlems on XP

  1. #1
    I'm downloaded the latest version of Adobe Premier.

    I tried to install it, but it says that the installer needs Windows XP Service Pack 2. I am currently using SP1. Is there any way around this?

  2. ** REGISTER to REMOVE This Ad On The Site!! **
    Your Ad Here Your Ad Here
  3. Software & Hardware   -   #2
    backlash's Avatar usenet lover
    Join Date
    Aug 2003
    in your dreams
    nope. Get adobe premiere pro 1.5. There's nothing much different in 2.0. I went back to 1.5 after upgrading to 2.0 and not seeing much difference.

  4. Software & Hardware   -   #3
    Why did you go back to 1.5?


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts